#!/bin/bash

# fix bundle name
SRC="${HOME}/Library/Preferences/org.bitcartel.radiolover.plist"
DST="${HOME}/Library/Preferences/com.bitcartel.radiolover.plist"

if [[ -f $SRC ]] && ! [[ -f $DST ]] ; then
        mv -f "${SRC}" "${DST}"
fi

SRCDIR="${HOME}/Library/Preferences/RadioLover Preferences"
DSTDIR="${HOME}/Library/Application Support/RadioLover"
SRC2="${SRCDIR}/radiostreams.data"
DST2="${DSTDIR}/radiostreams.data"

# create application support directory
if ! [[ -d $DSTDIR ]] ; then
    mkdir -p "${DSTDIR}"
fi

# migrate radiostream data
if [[ -f $SRC2 ]] && ! [[ -f $DST2 ]] ; then
        mv -f "${SRC2}" "${DST2}"
        rmdir "${SRCDIR}"
fi
