/* TaggingPresetPane */

#import <Cocoa/Cocoa.h>
#import <PreferencePanes/NSPreferencePane.h>


@interface TaggingPresetPane : NSPreferencePane
{
    IBOutlet id addFileSequenceNumberCheckbox;
    IBOutlet id addTrackNumberCheckbox;
    IBOutlet id languageEncodingPopUp;
    IBOutlet id noAlbumUseStreamNameCheckbox;
    IBOutlet id swapArtistSongNameCheckbox;
	
	NSMenu *_languageEncodingMenu;
}
- (IBAction)updateAddSequenceNumber:(id)sender;
- (IBAction)updateAddTrackNumber:(id)sender;
- (IBAction)updateLanguageEncoding:(id)sender;
- (IBAction)updateNoAlbumUseStreamName:(id)sender;
- (IBAction)updateSwapArtistSongName:(id)sender;
@end
